Bug 188866 - [MediaStream] Store video preset sizes in a map
Summary: [MediaStream] Store video preset sizes in a map
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-22 14:51 PDT by Eric Carlson
Modified: 2021-01-06 10:01 PST (History)
3 users (show)

See Also:


Attachments
Patch (13.19 KB, patch)
2018-08-22 15:35 PDT, Eric Carlson
youennf: review+
Details | Formatted Diff | Diff
Patch for landing (11.56 KB, patch)
2018-08-22 16:31 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (11.58 KB, patch)
2018-08-23 09:19 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2018-08-22 14:51:54 PDT
Make a map of the available video presets once instead of looking each one up again and again.
Comment 1 Radar WebKit Bug Importer 2018-08-22 15:13:25 PDT
<rdar://problem/43622643>
Comment 2 Eric Carlson 2018-08-22 15:35:49 PDT
Created attachment 347855 [details]
Patch
Comment 3 youenn fablet 2018-08-22 16:00:38 PDT
Comment on attachment 347855 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=347855&action=review

> Source/WebCore/platform/mediastream/RealtimeMediaSource.h:279
> +    VideoPresetMap m_supportedPresets;

I would keep m_supportedPresets in AVVideoCaptureSource for now since this is the sole user.
Comment 4 Eric Carlson 2018-08-22 16:31:58 PDT
Created attachment 347872 [details]
Patch for landing
Comment 5 Eric Carlson 2018-08-23 09:19:51 PDT
Created attachment 347927 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2018-08-23 12:31:36 PDT
Comment on attachment 347927 [details]
Patch for landing

Clearing flags on attachment: 347927

Committed r235233: <https://trac.webkit.org/changeset/235233>